# India

## Required fields

| Field              | Format                                                                                                                           | Description                                                                                |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`            | String                                                                                                                           | Cashouts login                                                                             |
| `pass`             | String                                                                                                                           | Cashouts pass                                                                              |
| `external_id`      | String (max length: 100)                                                                                                         | Transaction's ID on your end                                                               |
| `document_id`      | See [document validations](/knowledge-base/countries-specifications.md#documents-validations)                                    | Beneficiary's document ID                                                                  |
| `country`          | `IN`                                                                                                                             | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`         | `INR` / `USD`                                                                                                                    | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `amount`           | Number with up to 2 decimals                                                                                                     | Cashout amount                                                                             |
| `bank_account`     | See [validations below](/api-documentation/cashouts-api/countries-validations/asian-countries/india.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_branch`      | See [validations below](/api-documentation/cashouts-api/countries-validations/asian-countries/india.md#bank-branch-validations)  | Beneficiary's [IFSC](https://economictimes.indiatimes.com/wealth/ifsc-bank-code)           |
| `beneficiary_name` | String (max length: 100)                                                                                                         | Beneficiary's name                                                                         |
| `email`            | String (max length: 100)                                                                                                         | <p>User's email</p><h3 id="bank-account-validations"><br></h3>                             |

## Bank Account Validations

| Bank name | Bank code | Format                                                                            | Regex             | Example                     |
| --------- | :-------: | --------------------------------------------------------------------------------- | ----------------- | --------------------------- |
| Default   |     -     | Numeric values, not allowing spaces in between. Length between 9 and 18 inclusive | `^[0-9-.]{9,18}$` | 911010341747600, 9283749293 |

## Bank Branch Validations

The IFSC is short for Indian Financial System Code and this 11 characters code helps identify the individual bank branches that participate in the various online money transfer options like NEFT and RTGS. For more information and how to find a IFSC, please [click here.](https://economictimes.indiatimes.com/wealth/ifsc-bank-code)

| Bank | Description | Regex                              | Example                  |
| ---- | ----------- | ---------------------------------- | ------------------------ |
| All  | IFSC        | `^[A-Z\|a-z]{4}[0][a-zA-Z0-9]{6}$` | IDIB000M322, ANDB0000345 |

{% hint style="info" %}
**Note: We do not process Payouts to the following Banks/IFSC;**\
\- Paytm Payment Bank
{% endhint %}

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

{% tabs %}
{% tab title="Cashout request" %}

```
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "873839473",
    "beneficiary_name": "test name",
    "country": "IN",
    "amount": 100,
    "currency": "INR",
    "bank_account": "234234323",
    "bank_branch": "IDIB000M322",
    "email": "user@email.com",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Response" %}

```
external_id=100365001A2538925094
cashout_id=197821234
date=2025-03-18 10:10:10
bank_reference_id=39b6e872adc04e23f437dbd75cccd123
control=50553B0A13419744FF8CFFAD6711829863B5152E702FCDB123456789735671
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
The UTR is returned in the bank\_reference\_id field.
{% endhint %}

## Bank Codes

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

{% hint style="warning" %}
The `bank_code` in India is not mandatory, and it is retrieved from the IFSC sent in the `bank_branch` instead.
{% endhint %}

| STATE BANK OF INDIA          | 139 |
| ---------------------------- | --- |
| KOTAK MAHINDRA BANK          | 90  |
| HDFC BANK LTD.               | 62  |
| BANK OF BARODA               | 17  |
| PUNJAB NATIONAL BANK         | 128 |
| UNION BANK OF INDIA          | 167 |
| CANARA BANK                  | 35  |
| AXIS BANK                    | 172 |
| BANK OF INDIA                | 24  |
| AIRTEL PAYMENTS BANK LIMITED | 5   |
| ICICI BANK LTD.              | 70  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/asian-countries/india.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
